Package ru.bitel.oss.kernel.directories.address.common.bean

# Class Quarter

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.directories.address.common.bean.AddressPrefixSuffix
ru.bitel.oss.kernel.directories.address.common.bean.CityItem
ru.bitel.oss.kernel.directories.address.common.bean.Quarter

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class Quarter extends CityItem

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.oss.kernel.directories.address.common.bean.CityItem

  `cityId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Quarter()`
  `Quarter(City city, int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Quarter`
  `from(Quarter quarter)`
  `Quarter`
  `setCity(City city)`
  `Quarter`
  `setCityId(int cityId)`
  `Quarter`
  `setId(int id)`
  Устанавливает id объекта
  `Quarter`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `Quarter`
  `setTitlePrefix(String titlePrefix)`
  `Quarter`
  `setTitleSuffix(String titleSuffix)`

  ### Methods inherited from class ru.bitel.oss.kernel.directories.address.common.bean.CityItem

  `getCity, getCityId`

  ### Methods inherited from class ru.bitel.oss.kernel.directories.address.common.bean.AddressPrefixSuffix

  `getTitlePrefix, getTitleSuffix, toTitle`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### Quarter

    public Quarter()

  - ### Quarter

    public Quarter(City city, int id, String title)

- ## Method Details

  - ### setId

    public Quarter setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setTitle

    public Quarter setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setTitlePrefix

    public Quarter setTitlePrefix(String titlePrefix)
    Overrides:
      `setTitlePrefix` in class `AddressPrefixSuffix`

  - ### setTitleSuffix

    public Quarter setTitleSuffix(String titleSuffix)
    Overrides:
      `setTitleSuffix` in class `AddressPrefixSuffix`

  - ### setCityId

    public Quarter setCityId(int cityId)
    Overrides:
      `setCityId` in class `CityItem`

  - ### setCity

    public Quarter setCity(City city)
    Overrides:
      `setCity` in class `CityItem`

  - ### from

    public static Quarter from(Quarter quarter)